============================

Changes in the ??? Update (2.6.5)
Released ???

====Universal====

Textures, Block Animations and Properties:
*Added sulfur blocks textures
*Added cinnabar blocks textures
*Added sulfur cube bucket texture
*Added sulfur cube spawn egg texture
*Sulfur caves now uses sky and fog colours that matches its temperature and downfall values
*Bush colours now vary, just like short grass and fern
  -Firefly bush is not affected by this change

Entity Textures, Models and Animations:
*Added sulfur cube textures
*Repositioned the eyes of nautilus and zombie nautilus to match vanilla
*Fixed baby donkey and mule legs
*Fixed baby wolf tail
*Added classic style textures for black, british shorthair, calico, jellie, persian, ragdoll, tabby and white cat variants
*Added baby cat and ocelot textures

Language:
*Sulfur Cube Spawn Egg is now "Spawn Sulfur Cube"
*Sulfur is now "Sulphur" in British English

Sounds and Music:
*Removed chicken, cow, pig, cat and wolf sound variants
*Chicks, piglets, kittens, foals and puppies now use high pitched versions of the adult sounds instead of having unique sounds
*Nautilus and Zombie Nautilus no longer have swimming sounds once again
*Red nether brick stairs now use stone sounds (to be consistent with other red nether brick blocks)
*Sulfur blocks now use stone sounds
*Cinnabar blocks now use stone sounds

====Disable Foliage Colour Variations====

*Added a new Disable Foliage Colour Variations pack option
*This pack option disables colour variations for short grass, ferns and bushes

====Pack====

*Updated pack version to 2.6.5

====Notes====

*For some reason the wolf sound variant removal in 2.6.3 was only available in betas and wasn't in the release version. This update finally removes the wolf sound variants
*The chiselled cinnabar texture is based on the one shown in Minecraft Live - March 2026

============================

Changes in the Whatever Update (2.6.4)
Released March 25, 2026

====Universal====

Entity Textures, Models and Animations:
*Baby zombie pigman now have the correct size
*Baby glow squid now use their intended texture and model
*Baby glow squid now have the same glow effect as adult glow squids

====Pack====

*Updated pack version to 2.6.4

====Notes====

*This update doesn't add stuff from #legacytest_1 beta

============================

Changes in the Offspring Update (2.6.3)
Released March 15, 2026

====Universal====

Textures, Block Animations and Properties:
*Leaves now have the same shading as all other blocks (now looks darker)
*Added golden dandelion texture
*Updated bamboo block textures
*Updated copper golem spawn egg texture

Entity Textures, Models and Animations:
*Updated worn harness textures
*Updated happy ghast textures
*Updated baby cow model to remove the extruding snout
*Updated baby goat model to remove horns to match pre-26.10
*Updated rabbit textures to work with the new model introduced in 26.10
*Added a unique model for baby pigman and zombie pigman
*Added baby cow and mooshroom textures
*Added baby pig textures
*Added baby chicken textures
*Added baby wolf textures
*Added baby horse, donkey and mule textures
*Added baby squid and glow squid textures
*Added baby turtle texture
*Added baby axolotl textures
*Added baby camel texture
*Added baby bee textures
*Added baby fox textures
*Added baby polar bear texture
*Added baby armadillo texture
*Added baby llama textures
*Added baby goat texture
*Added baby pigman and zombie pigman textures
*Added baby villager and zombie villager textures
*Added baby zombie, husk and drowned textures
*Added baby humanoid armour textures
*Added baby panda textures
*Added baby sniffer texture
*Added baby sheep texture
*Added baby strider textures
*Added baby hoglin and zoglin textures

Interface:
*Fixed dismount button textures on mobile devices
*Added a new cubemap background showcasing the new baby mob models (Thanks to Seedformat)
  -The Copper Age panorama has been removed

Sounds and Music:
*Living coral blocks now uses coral sounds
  -Dead coral blocks still use stone sounds
*Removed wolf sound variants
*Cherry grove music now plays in the title screen in addition to the original menu music
  -Plains music no longer plays in the title screen

Language:
*Closed Captions option is now "Show Subtitles"
*Exposed, weathered and oxidised copper blocks are now "lightly weathered", "semi-weathered" and "weathered" respectively
*Dried Ghast rarity is now "uncommon" instead of "common"

====Old Horse Models====

*Disabled Old Horse Models pack option
  -The files are still there, just unused at the moment

====Pack====

*Updated pack version to 2.6.3
*Updated the minimum version this pack requires to 26.0, which means the pack is no longer compatible with older versions
*Updated the URL inside manifest.json file from x.com/midcherry_ to midnightcherry.bandcamp.com

====Notes====

*The new killer rabbit textures were derived from 14w34a
*Baby pigmen and zombie pigmen use a new unique model instead of using the ones for baby zombies because the pigmen textures were derived from pigs, and to make them look consistent with baby pigs, baby pigmen and zombie pigmen are given new baby models that matches baby pig heads
*The new panorama is captured on the seed 8554477380691140270 at the coordinates 1839.272, 128, 6312.295. This is the exact same seed used in the vanilla 1.20 panorama
*Hello! I released an album called "Songs for my Well-being" containing 8 tracks across 25 minutes. It's available on Bandcamp, for free but you can chip in a few quid if you like. That would really help me a lot! https://midnightcherry.bandcamp.com/album/songs-for-my-well-being

============================

Changes in the Equine Update (2.6.2)
Released December 17, 2025

====Universal====

Entity Textures, Models and Animations:
*Fixed copper horse armour being invisible when worn by horses
*Fixed netherite horse armour showing up as leather horse armour when worn by horses

Interface:
*Fixed horse stamina bar texture

Sounds and Music:
*Shuniji, Dragon Fish and Axolotl now properly plays in oceans and rivers once again

====Christmas Chests====

*Fixed blocks using the wrong textures when using Christmas Chests pack option

====Old Horse Model====

*Fixed worn leather horse armour texture

====Pack====

*Updated pack version to 2.6.2

============================

Changes in Resource Update (2.6.1)
Released December 11, 2025

====Universal====

Textures, Block Animations and Properties:
*Added nautilus armours textures
*Added spears textures
*Added nautilus and zombie nautilus spawn eggs textures
*Added camel husk spawn egg texture
*Added parched spawn egg texture
*Added netherite horse armour textures
*Updated deepslate blocks textures (once again)
*Updated copper chains textures
*Updated copper lanterns textures
*Updated copper golem statue textures
*Updated strider spawn egg texture

Entity Textures, Models and Animations:
*Added nautilus textures
*Added zombie nautilus textures
*Added strider textures
*Added camel husk texture
*Added parched texture
*Updated copper golem textures
*Fixed worn horse armour textures

Interface:
*Added breath of the nautilus effect icon texture
*Recipe unlock toasts are now black once again

Sounds and Music:
*Removed underwater ambient sounds
*Removed nautilus and zombie nautilus swimming sounds

Language:
*[Nautilus/Zombie Nautilus/Camel Husk/Parched] Spawn Egg is now "Spawn [Nautilus/Zombie Nautilus/Camel Husk/Parched]"
*Added new splashes:
  -One does not simply walk to the Far Lands
  -15 years of Mining and Crafting!

====Modern Ores====

*Updated ores textures to match the recent changes

====Emeralds to Rubies====

*Updated deepslate ruby ore texture to match the new deepslate texture change in this update

====Old Horse Model====

*Added netherite horse armour texture

====Pack====

*Updated pack version to 2.6.1
*Updated the minimum version this pack requires to 1.21.130, which means the pack is no longer compatible with older versions

====Notes====

*This update does not include a classic style panorama for the Mounts of Mayhem drop
*Held spears have pixelated enchantment glint, which doesn't match most items. I tried to fix this by making the texture high-res, but it made the spear render "too thin" compared to other items

============================

Changes in Patch 2.6_20251008 (2.6_20251008)
Released October 8, 2025

====Universal====

Textures, Block Animations and Properties:
*Fixed the infamous bug that made warped fungus on a stick look gigantic
  -This bug fix comes with a downside: The enchantment glint on warped fungus on a stick is pixelated
  -The gigantic warped fungus on a stick is caused by MCPE-169754. Vote to fix the bug here: https://bugs.mojang.com/browse/MCPE/issues/MCPE-169754

============================

Changes in the Technically Updated (2.6)
Released October 6, 2025

====Universal====

Textures, Block Animations and Properties:
*Updated sculk blocks textures
*Updated lapis block texture
*Updated sand and red sand textures
*Updated suspicious sand textures
*Updated raw metal blocks textures
*Updated tuff blocks textures
*Updated calcite texture
*Updated raid and trial omen particles textures
*Sugarcanes no longer becomes semitransparent when close to the camera
  -This change is retroactive, starting in version 2.5.3
*Swamps and mangrove swamps now uses sky and fog colours that match their temperature and downfall values
*Glazed hardened clay now uses pre-JE 1.12 colours
*Added test instance block texture in case it gets added to Bedrock Edition in the future
*Added test blocks textures in case it gets added to Bedrock Edition in the future
*Added lava chicken music disc texture
*Fixed diamond chestplate texture
*Added wooden shelves textures
*Added copper armour and tool set textures
*Added copper golem spawn egg texture
*Added copper nugget texture
*Added copper chests textures
*Added exposed, weathered and oxidised lightning rod textures
*Updated lightning rod texture
*Added copper horse armour textures
*Added copper torch texture
*Added copper bars textures
*Added copper chains textures
*Added copper lanterns textures
*Added copper golem statues textures
*Updated copper ingot texture
*Updated copper ore textures (deepslate type included)

Entity Textures, Models and Animations:
*Updated warden textures
*Added copper golem textures
*Updated copper trim colour palette

Interface:
*Added a grey overlay that apply on the title screen; similar to old versions of Java Edition
*Added a new cubemap background showcasing The Copper Age drop (Thanks to Seedformat)
  -The Chase the Skies panorama has been removed

Sounds and Music:
*Lava chicken music disc now play at full volume
*Reverted the music changes made in v2.4.2 because it is unnecessary and takes up a lot of space
*Dried ghast now uses its old ambient and break sounds
*Tall and short dry grass no longer have ambient sounds
*Copper chains now uses copper sounds
*Wooden shelves (except bamboo) now uses wood sounds
*Bamboo shelf now uses bamboo sounds
*Placing and swapping items with shelves now uses item frame sounds
*Updated door sounds
*Old Growth Birch Forest now uses Forest music instead of Old Growth Taiga music
*Plains music now plays in the title screen in addition to the original menu music
  -Birch Forest music no longer plays in the title screen

Language:
*Lava chicken music disc rarity is now "rare" instead of "uncommon"
*Copper Golem Spawn Egg is now "Spawn Copper Golem"

====Static Dirt Background====

*Added a new Static Dirt Background pack option
*This pack option removes the panorama and replaces in with a dirt wall background, like JE Beta 1.7.3!

====Old Horse Model====

*Added copper horse armour textures

====Pack====

*Updated pack version to 2.6.0
*Updated pack icon
*Made some technical changes to hopefully make the pack run better

====Notes====

*Copper ore texture was changed in this update to improve visibility. The old texture blend too much with the stone, and made copper ore very hard to see
*The test instace block and test blocks textures are based on their original textures from 25w03a
*The panorama is taken on the seed 7904846446833094596 at the coordinates 119, 65, -6271. The world was created in Bedrock Edition, but later converted to Java Edition so the panorama could be captured

============================

Changes in the Fill-in Update (2.5.4)
Released June 16, 2025

====Universal====

Textures, Block Animations and Properties:
*Updated lodestone textures
*Updated bamboo textures
*Updated barrel textures to be more consistent to spruce planks
*Added dried ghast textures
*Added happy ghast spawn egg texture
*Added harness item textures
*Added tears music disc texture
*The end sky is now slightly darker
*Hardened clay and coarse dirt no longer randomly rotate
*Overworld fog is now much thicker to closely match Java Edition

Entity Textures, Models and Animations:
*Mooshrooms no longer have pitch black snouts
*Fixed fishing hook model
*Ghast no longer glows
*Added happy ghast textures
  -They use the old ghast texture resolution, which is 16x16 (instead of the 32x32 texture that vanilla uses)
  -Adult and baby variant use the same texture, unlike vanilla
*Added worn harness textures
  -Uses the 16x16 resolution, like ghasts
  -Uses pre-JE 1.12 colours
*Made some changes to villagers and zombie villagers:
  -Updated villager and zombie villager professions textures
  -Removed the emerald that appears on top of villagers when trading
  -Fixed villager hats
*Removed old horse model
  -This feature can be re-enabled by using the Old Horse Model pack option
  
Interface:
*The pause, chat, emote and perspective buttons on mobile now uses old texture
*Added a new cubemap background showcasing the Chase the Skies Drop (Thanks to Seedformat)
  -The Spring to Life panorama has been removed

Sounds and Music:
*Cave sounds restricted to only play the original 13 sounds (the ones made by C418)
*Tears music disc now play at full volume
*Birch forest music now plays in the title screen in addition to the original menu music
  -Desert music no longer plays in the title screen

Language:
*Happy Ghast Spawn Egg is now "Spawn Happy Ghast"
*Tears music disc rarity is now "rare" instead of "uncommon"
*Added new splashes:
  -Flint and Steel!
  -Chicken Jockey!
  -Music by Gareth Coker!
  
====Old Horse Model====

*Added a new Old Horse Model pack option
*This pack option restores the old horse model from before Java Edition 1.13

====Pack====

*Updated pack version to 2.5.4

====Notes====

*The reason why "Music by Gareth Coker!" splash is added in this update is because Gareth Coker composed the music for the three Console Edition mini games as well as several DLCs
*The ghast no longer glows as of this update. There was a bug in the pack that made the ghasts look so big, and the only way to fix it was to remove the glow completely
*The panorama is captured on the seed 8819392414030687460 at the coordinates 1266, 105, -125 (The same seed and coords used by the vanilla panorama)

============================

Changes in the Tints and Highlights Update (2.5.3)
Released March 27, 2025

====Universal====

Textures, Block Animations and Properties:
*Sugarcane is no longer biome tinted
*The stems of pink petals and wildflowers are now affected by biome tinting
*Fixed grass and foliage colour on pale garden, badlands, swamp, mangrove swamp, cherry grove, meadow, lush caves and dripstone caves
*Concrete powder no longer randomly rotate
*Added stained glass texture from JE 2.0 (April fools version)
*Updated deepslate blocks textures
*Reverted the spawn egg texture change made in 1.21.70
*Shifted the colours of some spawn eggs to match Classical Art+
*Added short and tall dry grass textures
*Added cactus flower texture
*Added blue and brown egg textures
*Updated firefly bush textures
*Updated leaf litter textures
*Updated leaf litter biome tint in most biomes
  -Colours are based on the old foliage colour (Alpha 1.2 - Beta 1.7.3)
*Updated falling leaf particles textures
*Reverted stripped log texture change
  -Stripped logs now use the textures from Bedrock Developer Art versions 2.0.0 - 2.2.2
  -Redrew stripped pale oak log texture to match this change
  -Hanging sign textures are also changed to reflect this
*Obsidian, Sand, Red Sand and Suspicious Sand now have ambient occlusion exponent of 1.0
  -This has no effect on normal gameplay
  -This means that obsidian shading is now compatible with other resource pack!
*Fixed obsidian bottom texture being too bright in the nether

Entity Textures, Models and Animations:
*Added textures for the new chicken variants
*Spider eyes are now red (also applies to cave spiders)
*Updated spider textures
*Updated panda textures
*To keep the pack consistent, I have made the difficult decision to remove green axolotl. The feature was removed because:
  -Picking up a green axolotl using a bucket displays the wrong name
  -This functionality cannot be recreated on Classical Art+
  -The brown axolotl spawn was broken

Interface:
*Added Minecraft Marketplace logo texture (Thanks to Pharita5361)
*Disabled the old world loading screen, as the game crashes when downloading packs when joining a world
  -This change is retroactive, starting in version 2.5.2_20250307
*Added a new cubemap background showcasing the Spring to Life drop (Thanks to Seedformat)
  -The Garden Awakens panorama has been removed

Sounds and Music:
*Desert music now plays in the title screen in addition to the original menu music
  -Pale Garden music no longer plays in the title screen
*Sand no longer have ambient sounds
*Terracotta no longer have ambient sounds
*Dead Bush no longer have ambient sounds
*Iron blocks now use metal sounds
*Cactus flower now uses cloth sounds (for consistency with cactus)
*Some nether brick blocks now use stone sounds (to be consistent with other nether brick blocks that already used stone sounds)
*Twisting and Weeping Vines now use grass sounds, but climbing on them is silent
  -Silent vine climbing is intentional

Language:
*"glyph_E0" file is shrunk to 512x512 to prevent big characters from appearing in Server and How to Play screens

====Modern Ores====

*Updated ores textures to match the recent changes

====Emeralds to Rubies====

*Updated deepslate ruby ore texture to match the new deepslate texture change in this update
*Updated .lang files to keep them up-to-date

====Pack====

*Updated pack version to 2.5.3
*Updated blocks.json format version to 1.21.40
*Updated the minimum version this pack requires to 1.21.70, which means the pack is no longer compatible with older versions
*Removed lots of useless file

====Notes====

*Deepslate blocks textures are updated in this update because the previous textures don't match the classic textures
*Firefly bush will never be made silent in the pack

============================

Changes in Patch 2.5.2_20250307 (2.5.2_20250307)
Released March 7, 2025

====Universal====

Entity Textures, Models and Animations:
*Updated pig variants textures

Interface:
*Disabled the old world loading screen, as the game crashes when downloading packs when joining a world

============================

Changes in Patch 2.5.2_20250203 (2.5.2_20250203)
Released February 3, 2025

====Pack====

*Fixed a bug causing the game to crash when joining some featured server, notably CubeCraft
*Fixed a bug where you couldn't download packs when the owner of the world requires you to download packs before joining

============================

Changes in the Life-changing Update (2.5.2)
Released February 2, 2025

====Universal====

Textures, Block Animations and Properties:
*Pale garden sky and fog colour now matches Classical Art+
*Reverted some texture changes made in JE Beta 1.9 Prerelease 5:
  -Dirt
    -Updated some of its derivative textures (grass block, podzol, rooted dirt, grass path)
  -Glowstone
  -Netherrack
    -Updated some of its derivative textures (crimson and warped nylium, nether gold ore)
  -Stone
    -Updated some of its derivative textures (copper ore)
*Updated blackstone textures
  -The third and fourth quadrant (the bottom half) was moved to the top, second quadrant (top left) was moved to the fourth (bottom right) and the first quadrant (top right) was moved to the third (bottom left)
  -This might seem complicated, but this is how the last Programmer Art texture of the cobblestone was derived
*Updated gilded blackstone texture
*Fixed firework star texture
*Updated pre-1.16 door item textures to be more accurate to their block variant
*Simplified mangrove and pale oak door item textures
*Command blocks are now animated once again
*Updated blast furnace and smoker textures (Thanks to Dr-PigBoy)
*Updated cornflower texture
*Updated wither rose texture
*Updated horse armour textures
*Updated smithing table textures
*Updated azalea leaves textures
*Updated structure block textures
*Updated jigsaw block textures
*Added dormant creaking heart textures
*Added classic style textures for falling leaf particles
*Updated falling pale oak leaf particles textures
*Added firefly particle texture, based on the one shown in Minecraft Live
*Added wildflowers textures
*Added leaf litter texture
*Added bush textures
*Added firefly bush textures
  -The texture is not animated

Entity Textures, Models and Animations:
*The old horse model from Java Edition now works once again
*Creaking eyes now glow in the dark, even if it's still not activated
*Creaking eyes are now as bright as open eyeblossoms
*Wolf collars are no longer too bright
*Fixed chestnut and rusty wolf textures
*Coloured shulkers no longer uses a black head texture (finally!)
*Updated slime texture
*Updated pig texture and model
*Added textures for the new pig variants
*Cow no longer have extruding snout (pre-1.21.70 experiment)
*Added new textures for the new cow variants

Interface:
*Experience bar now uses a texture from Java Edition
*Added D-pad inspired controller button texture for joystick (mobile)
*Added a new cubemap background featuring the pale garden (Thanks to Seedformat)
  -The Tricky Trials panorama has been removed

Sounds and Music:
*Ki can now play in cherry grove, dripstone caves, old growth taiga, forest, birch forest and dark forest instead of just playing in mountain biomes that don't experience snow
*Glow lichen now uses grass step sounds
*Pale garden music now plays in the title screen in addition to the original menu music
  -Since no music plays in the pale garden, only the menu music plays
  -Dripstone caves music no longer plays in the title screen
*Suspicious sand and gravel now have their own brushing sounds once again
*Azalea bushes now uses grass sounds

====Fast Grass Sides====

*Removed Fast Grass Sides pack option, as it no longer works

====Mini Game Experience Bar====

*Added Mini Game Experience Bar pack option, replacing the removed Fast Grass Sides option
*This pack option adds the mini game experience bar from Console Edition mini games
  -Texture is inspired by the player counter bar in Console Edition minigames

====Pack====

*Updated pack version to 2.5.2
*Moved lightmap textures
  -They can now be found at: [main pack folder]/textures/environment/lightmap

====Notes====

*The panorama seed is unknown. Seedformat never shared the seed
*The pale garden sky and fog now uses vanilla colours. The intended colours are actually the ones used prior to this update, but the colours cannot be properly recreated on Classical Art+, even with OptiFine
*The cold cow texture is based on the wooly cow from Minecraft Earth
*4 ancient bugs are fixed in this update:
  -Azalea bushes using vanilla sounds
  -Suspicious sand and gravel not having unique brushing sounds
  -Dyed shulkers having black heads
  -Firework stars being tinted horribly

============================

Changes in the Handheld Update (2.5.1)
Released January 1, 2025

====Universal====

Textures, Block Animations and Properties:
*Updated coral textures
*Block light is now white instead of orange (Deferred Rendering only)
*Updated campfire textures (soul campfire included)
*Fixed seagrass being too dark
*Updated seagrass textures
*Updated kelp textures
*Removed colour-corrected kelp texture as the in-game tint was fixed in 1.21.50
*Held short grass is no longer too dark
*Held fern now properly uses classic texture
*Updated held leaves textures
*Updated held large fern and tall grass textures
*Updated held vines texture
*Updated held lily pad texture
*Updated calibrated sculk sensor textures
*Updated stonecutter textures (this can only be seen in release versions; beta users will see the stonecutter textures from Pocket Edition)
*Ominous banner now match the look of player-made banners
  -The colours were also adjusted to match Classical Art+
  -This change also apply to shields with ominous banner

Interface:
*Added PS4 & 5 controller tooltips textures from Console Edition
*Updated mobile controller button textures to be more accurate (D-pad only)
*Fixed sneak button texture on mobile (D-pad only)
  -Previously, the sneak button was using vanilla textures

Sounds and Music:
*Eyeblossoms no longer have ambient sounds
*Pale oak hanging sign now uses wood sounds like other hanging signs

====Pack====

*Updated pack version to 2.5.1
*Added unused lightmap textures for overworld, nether and the end
  -This would make the sky and block lights look white if it was functional
  -Find it at: [main pack folder]/textures/lightmap
*Added "feature feature rules.txt" and "licence.txt" files
  -"future feature rules.txt" is my guide on what to do when new stuff is added to Minecraft
  -"licence.txt" contains the things you can and can't do with the pack
  
====Notes====

*The mobile controller button textures were taken from the gui.png file in textures/gui of the vanilla pack. gui.png was used as the mobile controller button texture before the new button textures were implemented, so the new mobile button textures in the pack are now more accurate than ever
  -The pressed button textures are the default button textures overlaid with the colour #d7d7d7, as the gui.png file did not have textures for pressed buttons
*I made the mobile button textures for backstrafing. gui.png file did not have textures for backstrafing, because backstrafing is a relatively new addition to the game

============================

Changes in the Ancient Update (2.5)
Released December 11, 2024

====Universal====

Textures, Block Animations and Properties:
*Added real sky colour
  -Sky is now biome coloured, just like grass and leaves; bright blue in warm biomes and purple in cold biomes
  -The sky colour is now properly applied on the sky
  -Pale Garden now uses the same sky colour as Dark Forest (intentional)
*Made some changes to the fog:
  -Adjusted fog colour (it is now brighter)
  -Fog is now biome coloured, like the sky
  -Fixed fog in 1.21.40+ versions
  -Cherry Grove and Deep Dark now have their own fog
    -Previously, they used the meadow and dripstone caves fog respectively
*Fixed water surface and fog colours in 1.21.40+ versions
*Fixed the end sky and fog colour in 1.21.40+ versions (it was too dark)
*Pale garden grass colour is now correct
*Distant leaves are now as bright as Java Edition
*The default fog now uses the ocean fog instead of plains
*Updated cherry sapling texture
*Updated warped stem textures to match the warped sign stem
*Updated bundle textures
*Added new textures for dyed bundles
*Added resin blocks textures
*Added eyeblossom textures
*Updated scaffolding texture to better match the bamboo planks
*Fixed cherry chest boat item texture having an extra pink pixel
*The cake in the "baroque" painting now uses the classic textures
*Snowflakes are now smaller and much darker
*Fixed infested stone texture
*Updated froglight textures
*Gravel now uses beta texture
*Updated suspicious gravel textures
*Added 3D wall inventory icon renders for compatibility (Thanks to Seedformat)
*Nether Bricks, Red Nether Bricks, Cracked Nether Bricks and Chiselled Nether Bricks now align with ordinary Bricks
*Updated the look of Chiselled Nether Bricks to look more similar with Nether Bricks
*Nether Reactor Core now properly uses their original texture instead of using the ones from the Plastic Texture Pack
*Added simpler falling pale oak leaves particle texture
*Added pale oak woodset textures
*Added creaking heart textures
*Added pale moss blocks textures
*Creaking Spawn Egg now uses a direct texture instead of a template
*Updated seagrass textures
*Updated nautilus shell texture
*Fully grown cocoa pod top texture now align with the side pixels
*Updated sponge textures (wet sponge included)
*Updated turtle scute texture
*Updated turtle shell texture
*Updated heavy core texture
*Updated flow armour trim smithing template texture
*Updated breeze rod texture
*Updated mace texture
*Updated command block textures
  -Command block texture is no longer animated

Entity Textures, Models and Animations:
*Updated drowned texture
*Updated breeze textures
*Updated vex textures to give it a classic look while still keeping the new model
*Added creaking textures
*Added a classic texture version of the MC Experience Cape (unused)
*Added resin trim colour palette
*Phantom now uses the vanilla model to match Classical Art+
*Updated turtle texture
*Updated bat texture
*Updated fox textures

Interface:
*Added the classic tooltip texture from Java Edition Beta
*The pixelated Minecraft logo is now correctly displayed on all devices, finally!
*Bundle tooltips now closely match their old design
*Changed the pictures in the How to Play screen to use the classic textures
*The tooltip text colour has been updated to be more accurate depending on the trim material used
*Added controller button tooltips from Console Edition for Switch, Xbox and Generic

Sounds and Music:
*Fixed a bug where breeze would sometimes fail to play their idle sounds
*Updated creaking attack sounds
*Failing to insert something in a bundle no longer makes a sound
*Creaking Heart now uses wood sounds
*Pale Moss blocks now uses grass sounds
*Eyeblossoms, Pale Hanging Moss and Creaking Heart no longer have ambient sounds
*When parrots imitate creaking, they now use a high-pitched version of the creaking sounds, instead of using a unique sound
*Resin blocks now uses stone sounds
*Wet Sponge now uses grass sounds
*Wart blocks now uses stone sounds
*Bone block now uses stone sounds
*Powder Snow now uses snow sounds
*Armours now use their modern sounds to achieve parity with Classical Art+
*Old growth pine taiga music can now play in old growth spruce taiga

Language:
*Enchanting Table is now "Enchantment Table"
*Creaking Spawn Egg is now "Spawn Creaking"
*Updated item rarities:
  -Common (White): Book, Echo Shard, Recovery Compass, Goat Horns and Disc Fragment
  -Uncommon (Yellow): Enchanted Books and Nether Star
  -Rare (Aqua): Conduit
  -Epic (Light Purple): All kinds of Command Block, Minecart with Command Block, Jigsaw, Structure Block and Structure Void
*Added new splashes:
  -Ancient!
  -Pneumonoultramicroscopicsilicovolcanoconiosis is a very long word!
  -Woo, minecraftforum!
  -The true meaning of covfefe
*Changed certain splashes:
  -1% sugar! > 0% sugar!
  -Heaps of hits on YouTube! > 700+ hits on YouTube!
  -Kind of dragon free! > Absolutely dragon free!
  -Not as cool as Spock! > Cooler than Spock!
  -"Autological" is! > "Noun" is an autonym!
  -Verlet intregration! > Verlet integration!
*Infinity symbol texture now matches Java Edition
  
====Christmas Chests====

*Added a new Christmas Chests pack option
*This pack option adds the Christmas chests from Java Edition
  
====Emissive Trims====

*The trims now glow once again; previously they were invisible
*Added resin trim support

====Fast Grass Sides====

*The sides of grass blocks in pale garden is no longer affected by biome tinting

====Pack====

*Updated pack version to 2.5.0
*Updated the minimum version this pack requires to 1.21.50, which means the pack is no longer compatible with older versions
*Added partial compatibility for Marketplace Add-ons
*Removed the zeros in the major release version numbers in the changelog (for example, 2.4.0 is now 2.4, the old numbers are still used on technical changes)
*Removed useless shader files
*Replaced brightness_gamma with ambient_occlusion_exponent in blocks.json
*Added separate client_biome files for 1.21.40
*Fixed texture fallback in some low-end devices
*The game no longer crashes when joining the Hive server

====Notes====

*The water in pale gardens are not desaturated for three reasons:
  -Back in the day, only the swamp biome had unique water colour. The rest used the blue colour we all know
  -Applying a gray colour on the blue water would make it look darker, not desaturated
  -Classical Art+ uses a water colour system similar to the grass and foliage colour. Changing the water colour of the pale garden would affect biomes like dark and regular forests
*The pale garden sky and fog colours look normal to make it look "peaceful" during the day
*The sky.png and fog.png files in the colormap folder does nothing. It just serves as my guide
*The resin clump texture is based on the toxic resin from 24w14potato
*The bundle texture was brightened in this update because the original texture (from caves and cliffs) would be too confusing with the brown bundle

============================

Changes in the Emergency Update (2.4.4)
Released September 24, 2024

====Universal====

Textures, Block Animations and Properties:
*Banner Pattern textures are no longer broken in 1.21.30
*Improved visibility while underwater
*Swamp biomes no longer use the wrong underwater fog colour

Language:
*Music Discs now have the correct rarity in 1.21.30

====Pack====

*Updated pack version to 2.4.4

============================

Changes in the Pixels Update (2.4.3)
Released August 24, 2024

====Universal====

Textures, Block Animations and Properties:
*Added bundle textures
*Updated cherry leaves textures
*Updated cherry sapling texture
*Cherry particle now use the texture found in the 1.19.4 snapshots
*Fixed small dripleaf top texture
*Flow and guster banner patterns are now mirrored on the back side
*Crimson and warped plank textures has been smoothed out
*Crimson and warped signs now have a brighter side to match the other wood signs
*The paintings "the stage is set", "seaside" and "creebet" now use their pre-Alpha 1.1.1 textures
*Updated hanging sign textures
*Azalea leaves are now darker
*Fixed the end sky being too bright
*Water now looks closer to Java Edition Beta
*Added grass block textures from Beta 1.8
*Added dragon fireball texture
*Updated allow and deny textures
*Ocean monument and woodland mansion map icons now use their old textures 
*Updated raid and trial omen particle effect textures
*Updated chain item texture
*The fog is now thicker
  -Nether and The End are not affected by this change
*Reverted the coral block texture change
  -Corals now use the pre-2.4.2 texture
  
Entity Textures, Models and Animations:
*Reverted the sniffer texture change
  -Sniffer now use the pre-2.4.1 texture
*Fixed villager texture
*Ghast now slightly glow
*Updated glow squid texture
  -Now have a classic look
  -The texture is no longer animated

Interface:
*Bamboo sign interface now use the correct texture (hanging sign included)
*Removed experience bar texture
*Removed hunger bar texture
*Removed horse stamina bar texture
*Updated weaving effect icon
*Updated the panorama once again! This time, the panorama is now taken in the trial chamber atrium (Thanks to Seedformat)
  -The panorama is now pixel perfect
  -The seed is now different
  -The panorama is now taken on Java Edition, and includes the classic lighting
  -The panorama now rotates to the right to match the default rotation

Sounds and Music:
*The unused breeze "idle5" sound can now play
*Decorated pots now use their pre-1.20.3 sounds
*Warden is no longer ear-shatteringly loud
*Renamed music.overworld.frozen_peaks and music.overworld.jagged_peaks to music.overworld.snowcapped_peaks and music.overworld.lofty_peaks respectively

Language:
*Added new splashes:
  -pls rt
  -HURNERJSGER?
  -Colormatic!
  -Woo, 2pp!
  -Made with lave!
*Removed various splashes:
  -Back to 2014!
  -Minecraft 2.0!
  -Finally beta!
*The "Missingno" splash is now "missingno"
*Reverted item rarity changes:
  -Common (White): All types of Pottery Shards, Chainmail armor pieces, Sniffer Egg, and Nautilus Shell
  -Uncommon (Yellow): Elytra
  -Rare (Aqua): Golden Apple, End Crystal, and all types of Music Discs
  -Epic (Light Purple): Enchanted Golden Apple, Thing Banner Pattern
  
====Fast Grass Sides====

*Added a new Fast Grass Sides pack option
*This pack option makes the sides of grass blocks not affected by biome colouring

====Pack====

*Updated pack version to 2.4.3
*Added version number in the pack name
  -A full version will say something like "Bedrock Developer Art (x.x.x)" where x is the version numbers
  -If it's a beta, it will say something like "Bedrock Developer Art (x.x.x.x/beta)". This will change depending if it is a beta, pre-release or release candidate
  -The purpose of this thing is to let users know if they had downloaded the correct version

====Notes====

*Although the cherry leaves particle has been fixed, the particle movement still wasn't
*The water texture in this update doesn't fully match Java Edition Beta. When I tried to use the water texture from JE beta directly, the water looked completely black
*The new panorama is now captured on Java Edition using Classical Art+ instead of the previous Bedrock Edition. As what Seedformat said, "I hope everyone loves the new panorama. For the Bedrock Developer Art users, the new panorama is now taken on java instead of bedrock because it's easier to take panoramas on java. I managed to perfect the new panorama on Java Edition first try! On Bedrock Edition, I had to do it in like 50 times just to get the perfect panorama"
*The panorama seed is unknown. Seedformat never shared the seed
*The "Made with lave!" splash is not misspelled. This splash is a reference to a Java Edition bug where lava is misspelled as "lave"
*In 1.21.20, the glow squid glows entirely. This will be fixed when 1.21.30 comes. I cannot fix this myself
*Hello! I'm currently finding anyone who can help me translate the pack to other language. If you want to help, please message me on Twitter (@midcherry_). I only accept fluent or native speakers

============================

Changes in the Music and Artwork Update (2.4.2)
Released July 5, 2024

====Universal====

Textures, Block Animations and Properties:
*Updated grass and foliage colour in lush caves and dripstone caves
  -See Notes for more information
*Updated the humble painting; now based on the "American Gothic" painting
*Fixed copper bulb textures
*Updated tuff blocks textures
*Updated redstone crafter textures
*Updated jigsaw block textures
*Updated coral textures (both alive and dead)
*Updated music disc textures
*Fixed miscoloured pixels in the "meditative" painting
*The fruits in the "cotán" painting now has proper shading
*Updated wandering trader spawn egg texture

Entity Textures, Models and Animations:
*Updated trader llama decor texture
*Updated armadillo texture
*Updated wolf armour textures

Interface:
*Removed empty air bubble texture
*Added a new logo for Realms
*Updated the panorama to use the new tuff and copper bulb textures
  -The panorama is still captured on the same seed as before

Sounds and Music:
*Monster Spawner now make metal sounds
*Nether sprouts now make grass sounds
*Removed HUD bubble popping sound
*Music discs now play at full volume
*Fixed a bug where "Ki" could play in jagged peaks instead of "Flake"
*Sweden, Minecraft and Moog City can now play in dripstone caves
  -These music will also play in the title screen
*Intro can now play in lush caves, badlands and biomes that don't have biome-specific music
*Updated lots of music files
  -I noticed that the music used in-game is a bit different than the original music found in Minecraft Volume Alpha/Beta
  -My goal here is to give you the most "classic" feeling
  -Here are the music files that were updated in this version:
     -cat (Cat)
     -ward (Ward)
     -hal1 (Subwoofer Lullaby)
     -hal3 (Haggstrom)
     -hal4 (Danny)
     -nuance1 (Key)
     -nuance2 (Oxygène)
     -piano1 (Dry Hands)

Language:
*Days Played: # is now "Day #" like Java Edition
*Discs with uppercase first letter (like Pigstep and Creator) are now in lowercase

====Pack====

*Updated pack version to 2.4.2
*Sounds category in the changelog is now called "Sounds and Music"
*Flattened stained_hardened_clay entries in blocks.json
*Flattened leaves and leaves2 entries in blocks.json

====Notes====

*The "updated" music are not entirely different. I just used the version in Minecraft Volume Alpha/Beta
  -The cat and ward music disc is in mono instead of stereo
  -11 is an exempt from this
*The grass and foliage colour for lush and dripstone caves matches the temperature and downfall in Java Edition, but the colours are entirely different
  -This is because Bedrock Developer Art uses colours that closely match the colourmap used between Alpha 1.2 and Beta 1.7.3
  -Meadow grass and foliage colour cannot match the temperature and downfall used in Java Edition because meadow uses the same pixel on the colourmap as the old growth pine taiga

============================

Changes in the Reinforce Update (2.4.1)
Released June 13, 2024

====Universal====

Textures, Block Animations and Properties:
*Sky colours now transition smoothly between biomes
  -See Notes for more information
*Added heart of the sea texture
*Updated torchflower textures
*Updated chiselled bookshelf texture
*Fixed redstone and soul torches textures
*Updated tuff blocks textures
*Fixed trial spawner textures
*Updated armadillo scute texture
*Updated wolf armour item texture
*Updated grass and foliage colours
*The end sky is no longer too bright
*Short grass and fern colour variation now works once again
*Infested particle effect now appear larger
*Updated unpacked painting texture
*Updated banner pattern item texture
*Nether fog had been fixed
*Updated disc textures for creator and its music box variant
*Obsidian is no longer shaded twice
*Enchantment glint now matches Java Edition
  -The Java Enchantment Glint toggle has been removed; the features from that toggle is now available in the base pack

Entity Textures, Models and Animations:
*Updated wandering trader texture
*Updated villager and zombie villager biome clothes textures
*Bogged textures has been updated based on feedback
*Updated sniffer texture
*Player capes now render properly
*Re-added the glow squid texture animation
*Updated diamond, emerald, gold, iron, lapis and quartz trim colour palette
*Updated armadillo texture
*Updated wolf armour textures
*Updated wolf textures

Interface:
*Updated hero of the village and trial omen effect icons
*Added a new cubemap background (Thanks to Seedformat)
  -The classic Java Edition panorama has been removed

Sounds and Music:
*Updated candle ambient sounds
*Updated wandering trader sounds
*Updated enchanting table sounds
*Updated heavy core sounds
*Updated ominous trial spawner sounds
*Updated bogged sounds
*Rain sounds are now quieter
*Mace sounds can now be heard from 32 blocks away
*Updated breeze ambient sounds
*Removed many unnecessary sound file to help make the pack less heavy
*Dripstone Caves music can now play in the title screen
*The "oof" hurt sound has been removed
  -It is replaced by the default hurt sounds with slight changes
  -Taking damage on sweet berry bushes will play the default hurt sounds instead of the berry bush hurt sounds
  
Language:
*Ominous bottle text colour is now orange
  
====Pack====

*Updated pack version to 2.4.1
*100+ texture files has been compressed. This does absolutely nothing to the textures, but it should help make the pack less heavy

====Notes====

*The new panorama has been captured on the seed -6155882346083528979 on the coordinates -3545, -17, 13662 (Bedrock only)
*The new disc textures have very small differences. Visit this link for a side-by-side comparison: https://www.planetminecraft.com/member/noncommercial/wall/post/823504/
*The sky colour transition works differently than the old system. The three sky colours: warm, temperate and cold, has been removed. Instead, every biome gets its own sky colour

============================

Changes in the Time Travel Update (2.4)
Released May 8, 2024

====Universal====

Textures, Block Animations and Properties:
*Added soul torch texture (i forgot to add this earlier)
*Updated crying obsidian texture
*Updated respawn anchor textures
*Updated copper bulb textures
*Updated mud texture
*Updated twisting and weeping vines textures
*Updated cobweb texture
*Updated powder snow texture
*Updated tadpole bucket texture
*Updated calibrated sculk sensor textures
*Updated decorated pots textures
*Fixed trial spawner side textures
*Updated banner pattern item texture
*Improved spawn eggs textures
*Updated particle effects textures for infested, oozing, weaving, wind charged, trial omen and raid omen
*Wind explosion particles now have a new updated texture
*Updated meditative, unpacked and cotán painting texture
*Potions and tipped arrows now look exactly like Java Edition
*Added heavy core and lightning rod 3D renders for compatibility (Thanks to Seedformat)
*Added textures for the 3 new music discs
*Updated ominous bottle texture
*Updated trial vault textures
*Grove now uses the cold sky colour instead of temperate
*Bamboo raft paddles are now made of oak (in item form)
*Updated swamps water colour
*Updated mangrove swamp foliage colour
*Removed the soft fog
  -The No Fog pack option has been removed

Entity Textures, Models and Animations:
*Updated pigman textures (brute is included)
*Updated guardian and elder guardian textures
*Updated amethyst trim colour palette
*Tamed wolves are no longer saturated 
*Updated bogged textures 
*Netherite armour is now properly rendered when equipped on an armour stand
*Updated villagers and zombie villagers:
  -Both villagers and zombie villagers now show their biome clothes and profession levels
  -The zombie villager base texture has been updated
  -Fixed an issue where certain professions would look naked (I'm serious on this one)

Interface:
*Updated infested, oozing and raid omen effect icons

Sounds and Music:
*Updated bad and raid omen sounds
*Updated trial spawner and vault sounds
*Updated ominous bottle shattering sounds
*Fixed wind charge sounds
*Removing wolf armour now has a sound
*Updated music:
  -Fixed how and where the music should play, meaning the music will now play in the correct biome
  -Added new music (beginning and kyoto)
    -These new music will play in their specific biomes:
       -Beginning: plays in biomes that have many trees with the exception of flower forests
       -Kyoto: plays in caves and some of the mountain biomes
  -The deep dark music is now 'ballad of the cats' (nether4)
  -The new music in the pack has been updated:
    -Flake: now only plays in the snowy mountain biomes
    -Chris: plays in biomes that have many flowers (like cherry groves)
    -Moog City: plays in most biomes
    -Equinoxe: Plays in the mountain, forest and badlands biomes
    -Intro: plays in both snowy and cherry groves, and dripstone caves
    -Ki: plays in mountain biomes that doesn't experience snow
    -Excuse: plays in desert, badlands and taiga biomes
    
Language:
*Some characters now use the "Mojangles" font

====Modern Ores====

*Added a new Modern Ores pack option
*This pack option adds the new ore shapes introduced in the 1.17 update

====Java Enchantment Glint====

*Fixed the three compasses glint

============

Education Edition Compatibility:
The Education Edition Compatibility is still in it's early stages. These textures are not yet finished, so I'd love to hear feedback from you.

Note: This is probably the last update for Education Edition Compatibility before its full release

Changes in this update:
*Added compound creator and material reducer textures
*Updated underwater TNT textures

====Pack====

*Updated pack version to 2.4.0

====Notes====

*The 3D renders for heavy core and lightning rod don't affect normal gameplay. These 3D renders are added because these blocks look broken in inventory when using other texture packs.
*The crying obsidian texture was changed because they look outdated.

============================

Changes in the Correspond Update (2.3.2)
Released April 13, 2024

====Universal====

Textures, Block Animations and Properties:
*Updated trial vault textures
*Updated blackstone textures
*Updated quartz bricks texture
*Updated deepslate blocks textures
*Updated redstone crafter textures
*Pigman brute spawn egg now use the correct texture

Entity Textures, Models and Animations:
*Disabled vex and bat models
*Disabled glow squid animations

Sounds and Music:
*Cobweb now make stone sounds
*Removed mace sounds
*Fixed music, again:
  -All new music in the pack can now play
  -Music now plays more frequently (See Notes for more information)
  -Fixed a bug where two music could play at the same time

====Java Enchantment Glint====

*Added mace glint

====Pack====

*Updated pack version to 2.3.2
*Updated the minimum version this pack requires to 1.21.0, which means the pack is no longer compatible with older versions

====Notes====

*I have to disable the old vex and bat models because their models are currently broken. I also disabled the glow squid animations because the texture is broken.
*Music in this update is more complicated than ever, so it is explained below:
  -The new music added in 2.2.0 update can now play, unfortunately this might not work with other texture packs
  -The music in the sounds file is now .ogg file instead of .mp3
  -The music will now play frequently with new delays:
    -Survival and Creative music: 1 minutes and 40 seconds - 3 minutes and 20 seconds
    -Biome-specific and Nether music: 3 seconds - 3 minutes and 20 seconds
    -End music: 50 seconds - 3 minutes and 20 seconds
    -Underwater music: 3 seconds - 25 seconds

============================

Changes in the Recreation Update (2.3.1)
Released April 4, 2024

====Universal====

Textures, Block Animations and Properties:
*Added bolt and flow armour trim smithing template textures
*Added flow and guster banner patterns (for both item and banner)
*Added flow, guster and scrape pot textures
*Added flow, guster and scrape pottery shard textures
*Added breeze rod texture
*Added mace texture
*Added trial chambers map texture
*Updated trial vault textures
*Added ominous trial vault textures
*Added ominous trial spawner textures
*Added ominous trial key texture
*Added ominous bottle texture
*Added new textures for infested, oozing, weaving and wind charged potions
*Using any of the available add-ons now disables the fog

Entity Textures, Models and Animations:
*Added wolf variants textures
*Changed flow armour trim texture

Interface:
*Added infested, oozing, weaving, wind charged, raid omen and trial omen effect icons
*Updated bad omen effect icon

Sounds and Music:
*Added mace sounds from Minecraft Dungeons
*Added new heavy core sounds
*Wind charges now have a smaller pitch range, similar to TNT
*Fixed a bug where swimming sounds could still play
*Entities now have falling sounds identical to the player
*Changed ominous trial spawner ambient sounds
*Made more changes to music:
  -Music no longer plays in the wrong place
  -Music is no longer too loud

Language:
*[Flow/Guster/Scrape] Pottery Sherd is now "[Flow/Guster/Scrape] Pottery Shard"
*Illager Banner is now "Ominous Banner" (The text colour is now orange)
*Added new splashes:
  -Minecraft 2.0!
  -Enter the Render Dragon!
  -Herobrine!?
  -Made by Mojang!
*The splash "This message will never appear on the splash screen, isn't that weird?" no longer appear on the splash screen
*Added support for British English (finally)

====No Fog====

*Added a new No Fog pack option
*This pack option removes the soft fog (aka. the white tint)

====Pack====

*Updated pack version to 2.3.1
*Removed compatibility features for Java Uniformity because the pack crashes sometimes for some reason
*Added compatibility for my 3D Mace texture pack
*Bedrock Developer Art should now be compatible with most packs without errors (still haven't tested this one)

====Notes====

*The cherry leaf particles cannot match the old texture it have when it was first implemented. I tried everything, but nothing seemed to work.
*I changed the flow armour trim texture because they don't look 'windy' for me. If you hate the new pattern, just let me know.
*If some of the textures got replaced by 'update!' blocks, please activate Bedrock Developer Art in the Global Resources, then close and open the game with the pack applied. This is a game bug, not a pack bug. This is the only way to get around it.

============================

Changes in the Miscellaneous Update (2.3)
Released March 9, 2024

====Universal====

Textures, Block Animations and Properties:
*Updated copper door textures
*Updated item frame textures (glow item frame is also included)
*Enchanted armours, shields and tridents no longer use a different texture for the glint
*The soft fog has been updated to be much brighter
*Cold ocean now uses temperate sky colour
*Candle blocks now have accurate colours
*Updated trial spawner textures
*Updated wind explosion particle
*Updated soul soil texture
*Updated trial key texture
*Updated redstone crafter textures
*Updated copper bulb textures
*Updated chiselled bookshelf textures
*Updated composter compost texture
*Updated honey block textures
*Updated relic music disc texture
*Added trial vault textures
*Added armadillo scute texture
*Armadillo and Bogged Spawn Eggs now uses a direct texture instead of a template
*Added wolf armour item texture
*Fixed sand blocks textures
*Fixed obsidian texture
*Added unused village map texture
*Added wind charge item texture

Entity Textures, Models and Animations:
*Updated breeze textures
*Updated drowned texture
*Added armadillo texture
*Added wolf armour texture
*Added bogged textures

Interface:
*Added freezing player heart textures
*Added hardcore heart textures (preparation)
*Updated the textures in the assets folder

Sounds and Music:
*Sponges now make grass sounds
*Overworld vines now make grass sound, but climbing on them is silent
*Explosion sounds now have a smaller pitch range
*Equipping wolf armour now uses generic armour equipping sounds
*Updated sculk chute blooming sound
*Updated trial spawner ambient sounds
*Updated all trial vault sounds
*Added new bogged sounds
*Sculk growth now have a placing sound
*Music now have delays:
  -Survival, Creative and End Music: 2-10 minutes
  -Biome-specific and Nether Music: 1-10 minutes
  -Underwater Music: 30 seconds to 5 minutes

Language:
*Vault is now "Trial Vault"
*Reverted the name change for mob spawn eggs ("[Mob] Spawn Egg" is now "Spawn [Mob]")

====Java Enchantment Glint====

*Fixed netherite chestplate glint

============

Education Edition Compatibility:
The Education Edition Compatibility is still in it's early stages. These textures are not yet finished, so I'd love to hear feedback from you.

Changes in this update:
*Updated element blocks textures; each one have unique border and text colours according to their properties:
  -Border colours
    -Red = Primordial Element, the element is found naturally
    -Green = The element form from decay of other elements
    -Black = Synthetic Element
  -Text colours
    -Black = Solid, the element is solid at room temperature 
    -Cyan = Liquid, the element is liquid at room temperature 
    -Red = Gas, the element is gaseous at room temperature 
  -Let me know if I got something wrong with the elements  
    
====Pack====

*Updated pack version to 2.3.0
*Updated pack icon
*Reorganised the entries in blocks.json file
*Fixed several typos in the changelog

====Notes====

*This update adds music delays because many people, including me, find the constant music to be very annoying.
*Once the education edition textures are completed, it will be released as a separate pack. This is because the textures don't work if the pack is enabled globally. The textures only work when used in world resource pack, which may cause low device storage.

============================

Changes in the Import Update (2.2.4)
Released November 26, 2023

====Pack====

*Bedrock Developer Art no longer fails to import on certain devices
*Updated pack version to 2.2.4

============================

Changes in the Copper and Tuff Update (2.2.3)
Released November 25, 2023

====Unviersal====

Textures, Block Animations and Properties:
*Added new textures for new copper blocks
*Added new textures for new tuff building blocks
*Updated loom textures
*Updated lectern textures
*Updated sniffer egg textures
*Updated mangrove leaves texture
*Updated torchflower seeds texture
*Updated redstone crafter textures
*Fixed frog spawn egg texture
*Added trial spawner textures
*Added trial key texture
*Breeze Spawn Egg now uses a direct texture instead of a template
*Updated stripped log sides texture
*Updated all armour trim template textures
*Grass and fern colours will now vary
  -Some grass have warmer and colder tint in all biomes
  
Entity Textures, Models and Animations:
*Bats now use their old design
*Added new texture to goats
*Added breeze textures

Interface:
*Updated redstone crafter slot textures (no more ugly green overlay!)
*Fixed recipe unlock pop-up

Sounds and Music:
*Tuff building blocks now make stone sounds
*Trial Spawner now make metal sounds (to be consistent with Monster Spawner)
*Updated trial spawner sounds (most of the sounds are now altered vanilla sounds)
*Copper door and trapdoor now make ordinary close and opening door sounds

Language:
*Spawn Breeze is now "Breeze Spawn Egg"

====Java Enchantment Glint====

*Added a new Java Enchantment Glint pack option
*This pack option makes enchantment glint not pixelated to match Java Edition

============

Education Edition Compatibility:
The Education Edition Compatibility is still in it's early stages. These textures are not yet finished, so I'd love to hear feedback from you.

Changes in this update:
*Added texture support for coloured and underwater torches
*Fixed a bug where block textures are randomized on the first time you enter a world

====Pack====

*Updated pack version to 2.2.3

====Notes====

*The new toast system in 1.20.30 made it that toast animation have hard-coded start and end animation. This makes it impossible to change the start and end animation without completely breaking the toast UI.
*The compasses atlas textures in the new Java Enchantment Glint pack option is not a proper 256x256 texture unlike the others, as my device can't handle a picture resolution that big.
*Due to unexpected visibility errors, the soft fog has been moved to a new file for a smoother look.

============================

Changes in the Synthesis Update (2.2.2)
Released October 19, 2023

====Universal====

Textures, Block Animations and Properties:
*Changed grass textures to have a lighter tint
*Improved bamboo woodset textures
*Added better deepslate textures
*The sky now change colours depending on the temperature of the biome to match old Java Edition
*Changed village and explorer map icons
*Improved blackstone textures
*Updated torchflower and pitcher plant textures
*Ceramic Pot and Shard patterns are no longer coloured
*Updated fog to closely match old Java Edition
*Added a stronger enchantment glint
*Changed biome colourmap
*The nether fog now have a darker tint and no longer have colour variations for different biomes
*Removed block random rotations as it does not exists in older versions
*Added redstone crafter textures
*Removed all Education Edition texture changes within the base pack
  -They can now be found in a new Education Edition Compatibility toggle (more on that later)

Entity Textures, Models and Animations:
*Changed pillager texture
*Added unique iron golem cracking textures
*Changed magma cube texture
*Changed the textures of leucistic, blue and green axolotl variants
*Made a big glow up for glow squids:
  -The spots on glow squids will now the only thing that glows
  -The glow squid's body will turn darker depending on the depth of the ocean
  -They will have a fancy particle surrounding them

Interface:
*The logo no longer says Minecraft Pocket Edition
*Added the Java recipe unlock with a white background and purple and black text
  -Previously, the files for Java recipe unlock were there but inactive

Sounds and Music:
*Added unique placing sounds for sculk blocks
*Squid squirting sound is now silent
*Wandering Trader now uses villager sounds
*Fixed a bug where weighted pressure plate don't have consistent pitch with other pressure plates
*Wither skeleton now make its unique sound from 1.20.40
*Added boat paddling sounds
*Changed nylium stepping sounds
*Removed many unnecessary sound files
*Made some sound changes
  -Azalea Leaves (both flowering and non-flowering) now make grass sounds
  -Big and Small Dripleaves now make grass sounds
  -Chain now make metal sounds
  -Vines (all kinds) now make grass sounds, but climbing on them is silent
  -Moss Block and Carpet now make grass sounds
  -Spore Blossoms now make grass sounds
  -Pink Petals now make grass sounds
  
Language:
*Crafter is now "Redstone Crafter"

====Emissive Trims====

*Added a new Emissive Trims pack option
*This toggle makes the armour trims emissive (glow in the dark)
*There are currently some bugs:
  -The trim on leather armour will not glow due Bedrock limitations
  -Enchanted armours won't have emissive trims on them because the game crashes when an item have enchantment glint and emissive textures at the same time

====Emeralds to Rubies====

*Added a new Emeralds to Rubies pack option
*This toggle adds certain features:
  -Emeralds will be replaced by Rubies
  -The emerald on the head of wandering trader will be replaced with ruby
  -The emerald that appears on top of villagers while visually trading is now ruby
  -The greenish trim will be replaced with a reddish trim to match ruby
  -All texts that refers to emeralds will now refer to rubies

============

Education Edition Compatibility:
The Education Edition Compatibility is still in it's early stages. These textures are not yet finished, so I'd love to hear feedback from you.

Changes in this update:

*Added a brand new Education Edition Compatibility toggle, great if you prefer the original textures by Mojang
  -This toggle is temporary and could be removed when the textures are ready to be implemented in the base pack
  -All texture changes related to Education Edition will be moved into the new toggle
*This toggle can be found within the pack options, alongside with the new experimental add-ons
*Added texture support for glow sticks

====Companion Pack====

*Removed Bedrock Developer's Data due built-in add-ons feature

====Pack====

*Updated pack version to 2.2.2
*Putting Deferred Rendering shader packs on top of Bedrock Developer Art no longer crashes the game
*Released the "$is_bedrock_developer_art" component to allow for more compatibility
*Fixed changelog not having complete changes list in some updates
*Updated the minimum version this pack requires to 1.20.40 as this pack update uses many features from that version

====Notes====

*Starting from this update, every major updates now have minor updates (like 2.2.2 version) to slow down our progress.
*The change related to the fog doesn't fully match Java Edition since the fog changes colours depending on the temperature of the biome on old versions of Java Edition, which can't be replicated on Bedrock Edition.
*The silent vine climbing isn't a bug. This change matches Console Edition.

============================

Changes in the Texture Update (2.2)
Released September 8, 2023

This pack version appear as 2.2.1 in-game due technical errors

====Universal====

Textures, Block Animations and Properties:
*Added better amethyst shard texture
*Added improved copper blocks textures
*Added old placed light texture
*Bamboo planks tiling is now horizontal to match vanilla Minecraft
*Blue ice now have a similar texture to ice, but blue
*Totems now have more particles and the particle animation now match Java Edition
*Explosion particle is now high-resolution (matches Java)
*Lodestone is no longer red in inventory and when placed
*Water colour is now closer to Java Edition
*Changed mangrove leaves texture to distinguish it from common tree leaves (such as oak)
*Added better tuff texture
*Added fancier crimson and warped nylium textures
*Adjusted the colours of copper ore
*Improved biome colourmap
*Mangrove swamp foliage are no longer super dark
*Added fancier mangrove roots texture and its muddy variant
*Added a much softer fog that apply across the whole game
*The End fog is now darker and the sky is now brighter
*Structure Void is now 2D in inventory (matches Java)
*Structure Void is now invisible when placed (matches Java)
*Nether Gold Ore texture has been changed based on feedback
*Updated Smithing Table, Cartography Table and Fletching Table textures
*Added better warped and crimson wood textures
*Added partial support for Education Edition feature
  -These changes are still in development and may not be representative of the final texture version
  -These are the things that are redesigned so far: heat block, compounds, medicines and super fertilizer

Entity Textures, Models and Animations:
*Added old horse model from Java Edition
*Firework rockets and fishing bobbers are now 2D (matches Java)
*An emerald now appears above villagers while visually trading

Interface:
*Cartography Table map (copying, locking, etc.) now match Java Edition 
*Spyglass scope is now square instead of circle
*Spyglass scope now have a more old-fashioned texture
*Barrel, Cartography Table and Fletching Table now have correct icon in inventory (matches Java)

Sounds and Music:
*Element Constructor now makes the elder guardian's curse sound when opened
*Swimming, nether and minecarts are now silent
*Drinking honey now makes normal drinking sound
*Button clicking sound now uses their old sound
*Button and pressure plate sounds are now the same
*Equiping armour now uses generic sounds
*Added unique shrieking sounds for sculk shriekers
*Fixed a bug where bamboo woodset don't play any sound when opened, closed, clicked, etc.
*Inserting books in chiselled bookshelf now emits a sound
*Entering and exiting water no longer makes a sound
*Made some sound changes
  -Shroomlight now makes wood sounds
  -Froglights now make wood sounds
  -Lit Deepslate Redstone Ore now makes stone sounds
  -Pointed Dripstone now makes stone sounds
  -Lodestone now makes stone sounds
*Biome music no longer play the new music from 1.16
  -Music discs are not planned yet
  -Added music by C418 from both Volume Alpha and Beta: Chris, Equinoxe, Excuse, Flake, Intro, Ki and Moog City
  -The two creative music; aria math and haunt muskie, will play with the new music from specific biome. Aria Math will play in dripstone caves and Haunt Muskie will play on biomes that uses forest music
  -The three music for swamps; aerie, firebugs and labyrinthine will be replaced by calm music instead
  -Music will now play constantly
  -Music events can be played using commands
  -Music events matches Java Edition

Language:
*Reverted back the name change for Archeology Sand and Gravel (it's now called suspicious sand and gravel)
*Amethyst Cluster is now "Amethyst Crystal"
*Fixed translation error for Blooming Azalea Leaves

====Pack====

*Updated pack version to 2.2.0
*Updated the minimum version this pack requires to 1.20.10, meaning the pack is no longer compatible with older versions
*Updated manifest.json to be compatible with Education Edition toggle
*Updated the changelog file again and changed the groupings
  -Universal means all the changes in the pack that you can see in-game
  -Companion Pack means the changes that only applies on the existing add-ons (there are currently one)
  -Pack are the technical changes in the pack that you've probably not noticed
  -Notes are the things I want to say about the update

====Notes====

*If music don't play correctly or not work at all, please DM through Planet Minecraft. I attempted to fix this in the update.
*New inventory icon for barrels, cartography table and fletching table may not be compatible with other resource packs as the icons uses new texture that doesn't exists in Bedrock Edition's default vanilla files.
*The map being visible in cartography table can't be added due Bedrock limitations.
*Bottle filling and emptying sounds will never be silent in the pack. I felt like Mojang should have added the bottle sound earlier.

============================

Changes in the Water Update (2.1)
Released July 17, 2023

====Universal====

Textures, Block Animations and Properties:
*Added copper horn texture for 1.19 preview versions
*Added fancier azalea bushes texture
*Added unique bamboo block top texture (you can stop harassing me on Discord now)
*Added fancier cherry leaves and sapling texture
*Water now matches old Java colours
*Fixed totem texture to use the old one
*Bedrock, Deepslate, Dirt and Stone now randomly rotates when using Java Uniformity 
*Compressed sculk_catalyst_side to take up less space with no quality loss
*Changed brush texture
*Changed recovery compass texture to have more fancy style
    -I'm getting reports that recovery compass was very simplified and terribly textured, so the item texture has been changed
    -This is done to make the recovery compass match the items in ancient city
*Allay, Axolotl, Bee, Camel, Ender Dragon, Frog, Glow Squid, Goat, Hoglin, Iron Golem, Piglin Brute, Piglin, Sniffer, Snow Golem, Strider, Tadpole, Trader Llama, Vex, Warden, Wither and Zoglin Spawn Eggs now uses a direct texture instead of a template
*Changed copper ore texture to match Minecraft Live 2020
*Changed sentry and vex armour trim template texture

Entity Textures, Models and Animations:
*Added the ability for green axolotls to be spawned naturally
*Re-added the paddle on boats
*Wisp is now changed to Allay
    -The model of the wisp didn't feel as good as I thought and the original model more captures the old feeling
*Reverted back the silence trim pattern as many people did not liked the change

Interface:
*Changed the Minecraft logo in the assets folder to use new Java Edition texture style

Sounds and Music:
*Sounds are now controlled by sound_definitions.json file to seriously compress the pack
  -All doors, trapdoors and fence gates now uses two sounds; one for opening and one for closing
  -Crossbow sound is now controlled by a single sound file
  -If there's anything not accurate about the sounds, please DM me through Planet Minecraft or Discord

Language:
*Copper Brush is now once again called "Brush"

====Companion Pack====

*Removed Nostalgic PvP
    -I decided to remove the add-on as I had lost motivation to update the pack

====Pack====

*Updated pack version to 2.1.0
*Updated the changelog file to make it easier to read the additions, changes and removes in every update
*Added copyright file

============================

Changes in the Workstations Update (2.0.0)
Released May 2, 2023

====Universal====

Textures, Block Animations and Properties:
*Added the workstations textures from a Java Edition snapshot
*Added hanging sign block texture
*Added new texture for relic music disc
*Changed netherite armour and tool set texture
*Made further tweaks to stripped logs
*Changed the pod texture in pitcher plant crop
*Changed every netherite armour set textures
*Potion colours are now adjusted a little bit to distinguish them from one another (matches Java)
*Armour trim smithing template now uses vanilla shapes
    -The colours are adjusted a little bit so it looks different to vanilla
*Changed netherite trim colour palette
*Smithing table ingredient slot now uses new textures to match the ingredients

Entity Textures, Models and Animations:
*Changed piglin into "pigman", a mob that is supposed to be the villager
*Changed sniffer texture
*Shield now uses new texture
*Changed silence trim pattern. This change is made for different reasons:
    -This is made so the armour still stands out among the trim
    -The parts that normally don't have trims are now trimmed, and the parts that are previously trimmed no longer have the trim
    -The trim pattern is also tweaked so lighter colours can still be seen

====Pack====

*Pack is now compatible with Java Uniformity without errors
*Updated pack version to 2.0.0

============================

Changes in the Add-ons Update (1.9)
Released April 4, 2023

====Universal====

Textures, Block Animations and Properties:
*Added classic fog! (based on Console Edition)
*Added classic colourmap
*Reworked barrel textures
*Tweaked amethyst textures
*Changes for ceramic pots and shards
    -Danger pattern will have a creeper face
    -Skull pattern is recoloured (colours based on Minecraft Dungeons)
*Changed candle block textures to match old colours
*Changed shulker box breaking particle
*Changed raw gold texture
*Changed Coast, Sentry, Vex and Wild trim textures
    -While I wanted the trims to look old, I still like the new trim colours
*Changed trims colour palette
*Trims for armours with same material now uses normal trim palette

Language:
*Archeology Sand is now "Excavation Sand"
*Archeology Gravel is now "Excavation Gravel"
*Added new splashes
    -Back to 2014!
    -Made by Notch!
    -does anyone even read this?
    -Old Textures!
    -Technoblade never dies!
    -Missingno
    -We miss you Notch : (

====Companion Pack====

*Added Bedrock Developer's Data as a pack add-on
    -Bedrock Developer's Data is a small behavior pack that brings back some old removed features. This is still work in progress so the add-on might be unstable.
*Added Nostalgic PvP as a pack add-on
    -Nostalgic PvP is a small resource pack that adds support for pvp servers! Try outlined ores and shortswords as a feature. More updates coming soon...

====Pack====

*Updated pack version to 1.9.0
*Pack is now compatible with other UI packs

============================

Changes in the Natural Update (1.8)
Released March 26, 2023

====Universal====

Textures, Block Animations and Properties:
*Added new texture for cave vines
*Added calibrated sculk sensor texture
*Added pitcher plant texture (preparation)
*Added new textures for raw metals
*Added new texture for glow berries
*Added sniffer spawn egg texture
*Added pitcher pod texture (preparation)
*Archeology Sand texture has been reworked again based on feedback
*Reworked cherry woodset texture for finishing touches
*Changed stonecutter textures to match old Pocket Edition style
*Changed calcite textures
*Ceramic Pot and Shard pictures are now coloured to match Minecraft Live 2020
*Fixed goat horns texture
*Fixed glow ink sac texture
*Various changes for armour trims:
    -Dune and Sentry trims are now changed to match Bedrock Preview/Beta 1.19.80.22
    -Added new style for Host, Raiser, Shaper, Silence and Wayfinder trim items
*Changed torchflower seeds texture

Entity Textures, Models and Animations:
*Added sniffer texture

====Pack====

*Updated pack version to 1.8.0
*Made the final name change to the name "Bedrock Developer Art"

============================

Changes in Colours and Touch Controllers Update (1.7)
Released March 19, 2023

====Universal====

Textures, Block Animations and Properties:
*Added a new textures for cherry sapling
*Added new texture for frogspawn
*Added new texture for gilded blackstone
*Added new texture for glow lichen
*The texture for Pink Petals has been reworked to match the cherry leaves
*Fixes for torchflower crop textures
*Archeology Sand textures has been reworked again to distinguish it from normal sand
*Changed archeology gravel textures to have classic style
*Changed hardened clay, glazed hardened clay, concrete and concrete powder textures to match the old wool colours
*Changed ceramic pots neck textures
    -Minecraft Update 1.19.80.20 changed the decorated pot neck model. Because of this, the decorated pots from this pack crashes the game. So to solve this, the neck of the pot has been retextured.
*Changed the Pink Petals item textures
*Changed netherite upgrade smithing template texture to prepare for the upcoming Programmer's Data

Interface:
*Added the Touch Controllers textures from Minecraft Alpha

Language:
*Suspicious Gravel is now "Archeology Gravel"
*Fixed translation errors for copper brush (sorry guys)

Sounds and Music:
*Changed cherry door, trapdoor and fence gate opening and closing sounds

====Pack====

*Updated pack version to 1.7.0

============================

Changes in the Pots and Shards Update (1.6)
Released March 9, 2023

====Universal====

Textures, Block Animations and Properties:
*Added cherry woodset textures (work in progress)
*Added torchflower textures
*Added torchflower seeds texture
*Ceramic Pots and Shards textures has been changed to match the colours of the brick
*Archeology Sand texture has been changed based on feedback
*Grimstone is now back to Deepslate again
*Changed ward armour trim smithing template texture (preparation)

Language:
*Decorated Pot is now "Ceramic Pot"
*Pottery Shard is now "Ceramic Shard"

====Pack====

*Updated pack version to 1.6.0

============================

Changes in the Programmer Update (1.5)
Released February 23, 2023

====Universal====

Textures, Block Animations and Properties:
*Added netherite upgrade and armour trim smithing template textures (preparation)
*Bamboo woodset textures has been changed to have oldish style
*Archeology Sand texture has been changed to make it easier to spot
*Phantom membrane has been retextured to match the mob
*Some item textures has been reworked for preparation for the pack's add-on: Programmer's Data

Language:
*Suspicious Sand is now "Archeology Sand"
*Brush is now "Copper Brush"

====Pack====

*Updated pack version to 1.5.0

============================

Changes in the Deepslate Update (1.4)
Released February 4, 2023

====Universal====

Textures, Block Animations and Properties:
*Changed all deepslate-related block textures
*Changed sculk charge particle texture
*Removed wall item textures

Interface:
*Added the blue button hovering from Java Edition

====Pack====

*Updated pack version to 1.4.0

============================

Changes in the Sculk Update (1.3)
Released January 27, 2023

====Universal====

Textures, Block Animations and Properties:
*Sculk Catalyst blooming texture now matches the ordinary sculk catalyst

Sounds and Music:
*Replaced many sound files to match their older counterparts

Language:
*Added a lot of name changes!
     -Wool is now "Cloth"
     -Terracotta is now "Hardened Clay"
     -Crafting Table is now "Workbench"
and there's many more I'm just getting lazy...

====Pack====

*Updated pack version to 1.3.0

============================

Changes in the Mangroves and Wisps Update (1.2)
Released December 2, 2022

====Universal====

Textures, Block Animations and Properties:
*Added mangrove woodset textures
*Added bamboo block textures from Minecraft Live 2022

Entity Textures, Model and Animations:
*Changed wisp texture
*Changed phantom texture

Language:
*Allay is renamed into "Wisp"

====Pack====

*Updated pack version to 1.2.0

============================

Changes in the UI Update (1.1)
Released November 13, 2022

====Universal====

Interface:
*Replaced the logo to Minecraft Pocket Edition
*Loading screen is now back to dirt
*Replaced all textures in assets folder to match Java Edition old UI textures

====Pack====

*Updated pack version to 1.1.0

============================

Changes in the Full Release (1.0.0)
Released November 11, 2022

====Universal====

Textures, Block Animations and Properties:
*Added all block textures for 1.18 (1.19 textures are not yet finished)
*Added all item textures for 1.18

Entity Textures, Models and Animations:
*Added all armour textures for 1.18
*Added all entity textures for 1.18
*Changed Wither painting to Temple of Notch

Interface:
*Added classic panorama from Java Edition

====Pack====

*Released the pack to the public
*Updated pack version to 1.0.0
*Added a pack icon, title, and description
*Added a unique pack UUID

====Notes====

*Despite the pack compatible on 1.19, the textures for 1.19 are still not available
